Archive webpages
curl --request POST \
--url https://api.monitor.weborion.io/api/v1/urls/batch_archive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url_ids": [
123
],
"remark": "<string>"
}
'import requests
url = "https://api.monitor.weborion.io/api/v1/urls/batch_archive"
payload = {
"url_ids": [123],
"remark": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url_ids: [123], remark: '<string>'})
};
fetch('https://api.monitor.weborion.io/api/v1/urls/batch_archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.monitor.weborion.io/api/v1/urls/batch_archive",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url_ids' => [
123
],
'remark' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.monitor.weborion.io/api/v1/urls/batch_archive"
payload := strings.NewReader("{\n \"url_ids\": [\n 123\n ],\n \"remark\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.monitor.weborion.io/api/v1/urls/batch_archive")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url_ids\": [\n 123\n ],\n \"remark\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.monitor.weborion.io/api/v1/urls/batch_archive")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url_ids\": [\n 123\n ],\n \"remark\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyWebpages
Archive webpages
Archives one or more webpages: monitoring stops and the plan quota slot is freed, but the webpage and all related data (incidents, policies, notification configuration, blackout schedules, verification history) are retained for audit purposes until manually removed.
Archiving moves the webpage out of the monitored states: its health status is set to Archived (excluded from the worker scheduler’s polling allowlist) and its plan type is set to ARCHIVED (excluded from quota counts). An archive record stores when it happened, the previous plan type, and an optional remark.
A single-webpage archive is simply a one-element url_ids array.
POST
/
api
/
v1
/
urls
/
batch_archive
Archive webpages
curl --request POST \
--url https://api.monitor.weborion.io/api/v1/urls/batch_archive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url_ids": [
123
],
"remark": "<string>"
}
'import requests
url = "https://api.monitor.weborion.io/api/v1/urls/batch_archive"
payload = {
"url_ids": [123],
"remark": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url_ids: [123], remark: '<string>'})
};
fetch('https://api.monitor.weborion.io/api/v1/urls/batch_archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.monitor.weborion.io/api/v1/urls/batch_archive",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url_ids' => [
123
],
'remark' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.monitor.weborion.io/api/v1/urls/batch_archive"
payload := strings.NewReader("{\n \"url_ids\": [\n 123\n ],\n \"remark\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.monitor.weborion.io/api/v1/urls/batch_archive")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url_ids\": [\n 123\n ],\n \"remark\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.monitor.weborion.io/api/v1/urls/batch_archive")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url_ids\": [\n 123\n ],\n \"remark\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
Body
application/json
Response
200
OK
